export const statusOptions = [
  {
    label: "待发起流程",
    value: "0"
  },
  {
    label: "待采购审核",
    value: "1"
  },
  {
    label: "待财务审核",
    value: "2"
  },
  {
    label: "审核成功",
    value: "3"
  },
  {
    label: "采购驳回",
    value: "4"
  },
  {
    label: "财务驳回",
    value: "5"
  }
];

export const paymentOptions = [
  {
    label: "待发起",
    value: "0"
  },
  {
    label: "待业务审核",
    value: "1"
  },
  {
    label: "待财务审核",
    value: "2"
  },
  {
    label: "待付款回执",
    value: "3"
  },
  {
    label: "付款回执",
    value: "4"
  },
  {
    label: "业务驳回",
    value: "5"
  },
  {
    label: "财务驳回",
    value: "6"
  }
];

export const create_rules = {
  pay_fee: [{ required: true, trigger: "change", message: "请输入付款金额" }],
  payNo: [{ required: true, trigger: "change", message: "请选择付款订单" }]
};

export const audit_rules = {
  status: [{ required: true, trigger: "change", message: "请选择审核状态" }],
  remark: [{ required: true, trigger: "change", message: "请输入备注" }]
};

export const receipt_rules = {
  return_image: [
    { required: true, trigger: "change", message: "请选择上传回执图片" }
  ],
  return_time: [
    { required: true, trigger: "change", message: "请选择上传回执时间" }
  ]
};

export const columns = [
  {
    label: "对账编号",
    prop: "payNo",
    minWidth: 180,
    align: "left"
  },
  {
    label: "供应商编号",
    prop: "supplierNo",
    minWidth: 180,
    align: "left"
  },
  {
    label: "供应商名称",
    prop: "supplierName",
    minWidth: 180,
    align: "left"
  },
  {
    label: "业务公司名称",
    prop: "companyName",
    minWidth: 180
  },
  {
    label: "总额款",
    prop: "total_fee",
    minWidth: 180,
    align: "total_fee"
  },
  {
    label: "已付款金额",
    prop: "apay_fee",
    minWidth: 180,
    align: "left"
  },
  {
    label: "已回票金额",
    prop: "ainv_fee",
    minWidth: 180,
    align: "left"
  },
  {
    label: "未回票金额",
    prop: "winv_fee",
    minWidth: 180,
    align: "left"
  }
];

export const detailColumns = [
  {
    field: "payNo",
    label: "对账申请编号"
  },
  {
    field: "dzNo",
    label: "付款申请编号"
  },
  {
    field: "apply_name",
    label: "申请人"
  },
  {
    field: "pay_fee",
    label: "申请付款额度"
  },
  {
    field: "return_img",
    label: "付款回执"
  },
  {
    field: "return_time",
    label: "付款回执时间"
  },
  {
    field: "status",
    label: "状态"
  },
  {
    field: "pay_apply_name",
    label: "对账申请人"
  },
  {
    field: "supplierNo",
    label: "供应商编号"
  },
  {
    field: "supplierName",
    label: "供应商"
  },
  {
    field: "companyNo",
    label: "业务公司编号"
  },
  {
    field: "companyName",
    label: "业务公司"
  },
  {
    field: "total_fee",
    label: "对账总额"
  },
  {
    field: "remark",
    label: "备注"
  }
];
